import type { WetProTablePropsType } from '../types';
type TableSizeType = '' | 'large' | 'default' | 'small';
declare const _default: (props: WetProTablePropsType) => {
    showTool: import("vue").ComputedRef<boolean>;
    tableSize: import("vue").ShallowRef<TableSizeType>;
    paginationSize: import("vue").ComputedRef<{
        background: boolean;
        layout: string;
    } | {
        background?: undefined;
        layout?: undefined;
    }>;
};
export default _default;
